curl --request POST \
--url https://api-lr.agent.ai/v1/action/get_variable_from_database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variable": "<string>",
"variable_retrieval_depth": "most_recent_value",
"agent_db_historical_values": "last hour",
"agent_db_variable_retrieval_count": "<string>"
}
'{
"status": 123,
"response": {}
}The variable to retrieve from the agent’s database.
curl --request POST \
--url https://api-lr.agent.ai/v1/action/get_variable_from_database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variable": "<string>",
"variable_retrieval_depth": "most_recent_value",
"agent_db_historical_values": "last hour",
"agent_db_variable_retrieval_count": "<string>"
}
'{
"status": 123,
"response": {}
}Bearer token from your account (https://agent.ai/user/integrations#api)
The variable to retrieve.
How far back to retrieve data.
most_recent_value, historical_values Historical data interval.
last hour, last day, last week, last month, all time Number of items to retrieve (default: 10).